Get Workflows

Get all workflows with the latest version for the organization. Search semantics: - If `search_key` is provided, its value is used as a unified search term for `workflows.title`, `folders.title`, and workflow parameter metadata (key, description, and default_value for `WorkflowParameterModel`). - Falls back to deprecated `title` (title-only search) if `search_key` is not provided. - Parameter metadata search excludes soft-deleted parameter rows across all parameter tables.

Headers

x-api-keystring or nullOptional
Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Query parameters

pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional>=1Defaults to 10
only_saved_tasksbooleanOptionalDefaults to false
only_workflowsbooleanOptionalDefaults to false
search_keystring or nullOptional

Unified search across workflow title, folder name, and parameter metadata (key, description, default_value).

titlestringOptionalDefaults to Deprecated

Deprecated: use search_key instead.

folder_idstring or nullOptional
Filter workflows by folder ID
statuslist of enums or nullOptional
Allowed values:
templatebooleanOptionalDefaults to false

Response

Successful Response
workflow_idstring
organization_idstring
titlestring
workflow_permanent_idstring
versioninteger
is_saved_taskboolean
workflow_definitionobject
created_atstringformat: "date-time"
modified_atstringformat: "date-time"
descriptionstring or null
proxy_locationenum or object or map from strings to any or null
webhook_callback_urlstring or null
totp_verification_urlstring or null
totp_identifierstring or null
persist_browser_sessionboolean or nullDefaults to false
modelmap from strings to any or null
statusenum or null
Allowed values:
max_screenshot_scrollsinteger or null
extra_http_headersmap from strings to strings or null
run_withstring or null
ai_fallbackboolean or nullDefaults to false
cache_keystring or null
run_sequentiallyboolean or null
sequential_keystring or null
folder_idstring or null
import_errorstring or null
deleted_atstring or nullformat: "date-time"

Errors